Projects
Archive a project
Archive a project
curl --request POST \
--url https://agentgateway.atlan.engineering/registry/v1/projects/{project_id}/archive \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/projects/{project_id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/projects/{project_id}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"project_status": "active",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_id": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"knowledge_urls": [
"<string>"
],
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
HTTP 200 response.
Available options:
active, archived, deleted Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Archive a project
curl --request POST \
--url https://agentgateway.atlan.engineering/registry/v1/projects/{project_id}/archive \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/projects/{project_id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/projects/{project_id}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"project_status": "active",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_id": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"knowledge_urls": [
"<string>"
],
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}